#include "psolvert.h"
#include "pspsolvert.h"
#include "pnpsolvert.h"
#include "pnnpsolvert.h"
#include "pglobalt.h"

void par_solve_trfel_problem ()
{
  switch (Tp->tprob){
  case stationary_problem:{
    par_solve_stationary_problem ();
    break;
  }
  case nonstationary_problem:{
    par_solve_nonstationary_problem ();
    break;
  }
  case nonlinear_nonstationary_problem:{
    par_solve_nonlinear_nonstationary_problem ();
    break;
  }
  default:{
    fprintf (stderr,"\n\n PROC %d: unknown problem type is required in function",Myrank);
    fprintf (stderr,"\n main (file %s, line %d).\n",__FILE__,__LINE__);
  }
  }
}
